using System;
using System.Data;


/// <summary>
/// I_ProType 的摘要说明
/// </summary>
namespace Corporation.Product
{
    public interface IProType
    {
        int Insert(TProType us);             //添加产品系列
        int Update(TProType us);             //修改产品系列
        int UpdateSequence(int paixu, int lbid);    //修改排序--暂时没做
        int Delete(int ID);                  //根据ID删除产品系列
        DataTable GetDataTable();            //取得产品系列
        DataTable GetDataTable(TProType eui);//根据产品系列属性取得产品系列
        TProType GateItem(int ID);           //根据ID取得产品系列每一条详细信息

    }
}
